<template>
  <v-layout>
    <div
      class="d-flex h-100 w-100 pt-3 pb-3 justify-content-center align-items-center"
    >
      <div class="card-main d-flex flex-column w-95 w-sm-50">
        <div
          class="d-flex ml-3 mr-3 p-3 align-items-center justify-content-start border-bottom"
        >
          <plusIcon class="icon-small-squad icon--brown" />
          <span class="text--gray font-large font-bold ml-3"
            >Cadastro de usuário</span
          >
        </div>
        <div class="pt-4">
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <input
                id="institutionEmail"
                type="text"
                class="input input-rounded w-100 text--gray input-disabled"
                placeholder="E-mail"
                v-model="model.email"
                disabled
              />
            </div>
          </div>
        </div>
        <div class="pt-3">
          <div class="d-flex w-100">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <input
                id="password"
                type="password"
                class="input input-rounded w-100 text--gray"
                placeholder="Senha"
                v-model="password"
              />
            </div>
          </div>
        </div>
        <div class="pt-3 pb-4">
          <div class="d-flex w-100">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <input
                id="passwordConfirmation"
                type="password"
                class="input input-rounded w-100 text--gray"
                placeholder="Confirmar senha"
                v-model="confirmPassword"
              />
            </div>
          </div>
        </div>
        <div class="d-flex pb-3 pt-3 mt-4 ml-3 mr-3 border-top">
          <div class="d-flex col-6 justify-content-start">
            <router-link
              class="btn d-flex justify-content-center bg-none p-2 pl-4 pr-4 btn text-green font-medium"
              :to="{
                name: 'person-registry-personal-data',
                params: { obj: model.json }
              }"
              title="Voltar"
              >Voltar</router-link
            >
          </div>
          <div class="d-flex col-6 justify-content-end">
            <button
              class="btn d-flex justify-content-center bg--primary p-2 pl-4 pr-4 btn text-white font-medium"
              title="Salvar instituição"
              v-on:click="salvar"
            >
              Salvar
            </button>
          </div>
        </div>
      </div>
    </div>
  </v-layout>
</template>
<script>
/* =============
 *   Home screen
 *  =============
 */
import VLayout from "@/layouts/External";
import plusIcon from "@/static/icon/plus.svg";
import Person from "@/models/Person";

export default {
  name: "login",
  data() {
    return {
      model: new Person(),
      password: null,
      confirmPassword: null
    };
  },
  validations: {},
  methods: {
    salvar() {
      const self = this;
      console.warn(self.model.json);
      if (self.password === self.confirmPassword) {
        self.$notify({
          group: "external",
          type: "success",
          title: "Sucesso",
          text: "Usuário cadastrada com sucesso!"
        });
      } else {
        self.$notify({
          group: "external",
          type: "warn",
          title: "Erro",
          text: "As senhas devem ser iguais!"
        });
      }
    }
  },
  beforeMount() {
    const self = this;
    if (self.$route.params.obj) {
      self.model.montaModel(self.$route.params.obj);
    }
  },
  components: {
    VLayout,
    plusIcon
  }
};
</script>
